> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/users/api-tokens.md).

# API Tokens

The following endpoints manage and retrieve data about the API tokens assigned to the currently authenticated user.

## List users API tokens

> Gets the API tokens of the currently authenticated user.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / API Tokens","description":"The following endpoints manage and retrieve data about the API tokens assigned to the currently authenticated user."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/me/api-tokens":{"get":{"tags":["Users / API Tokens"],"summary":"List users API tokens","description":"Gets the API tokens of the currently authenticated user.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"apiTokens":{"type":"array","items":{"type":"object","properties":{"token":{"type":"string"},"scope":{"type":"array","items":{"type":"string","format":"uri"}},"created":{"type":"string","format":"date-time"},"label":{"type":"string"}}}}}}}}}}}}}}
```

## Create new API token

> Create a new API token for the currently authenticated user. Specify the API token scopes in the \`scope\` array parameter.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / API Tokens","description":"The following endpoints manage and retrieve data about the API tokens assigned to the currently authenticated user."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/me/api-tokens":{"post":{"tags":["Users / API Tokens"],"summary":"Create new API token","description":"Create a new API token for the currently authenticated user. Specify the API token scopes in the `scope` array parameter.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"label":{"type":"string","description":"The API token label visible in the Make user profile."},"scope":{"type":"array","items":{"type":"string","format":"uri"},"description":"The API scopes provided to the API token. The API scopes determine the scope of operations that you can do with the API token.\n\nCheck the list of all existing Make API scopes with the API call `GET /enums/user-api-tokes-scopes`."}},"required":["label","scope"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"apiToken":{"type":"object","properties":{"token":{"type":"string"},"scope":{"type":"array","items":{"type":"string","format":"uri"}},"created":{"type":"string","format":"date-time"},"label":{"type":"string"}}}}}}}}}}}}}
```

## Delete API token

> Deletes currently authenticated user's API token with the specified creation timestamp. Get the API token creation timestamp with the API call \`GET /users/me/api-tokens\` in the parameter value \`created\`. Copy the timestamp string to the API call path to delete the API token.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / API Tokens","description":"The following endpoints manage and retrieve data about the API tokens assigned to the currently authenticated user."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/me/api-tokens/{timestamp}":{"delete":{"tags":["Users / API Tokens"],"summary":"Delete API token","description":"Deletes currently authenticated user's API token with the specified creation timestamp. Get the API token creation timestamp with the API call `GET /users/me/api-tokens` in the parameter value `created`. Copy the timestamp string to the API call path to delete the API token.","parameters":[{"name":"timestamp","in":"path","schema":{"type":"string","format":"date-time"},"required":true,"description":"The timestamp of the moment when you created the API key in the ISO 8601 compliant format."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"apiToken":{"type":"string","format":"date-time"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/users/api-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
